Home > No Module > Python Error No Module Named Distutils Core

Python Error No Module Named Distutils Core

Contents

The solution for me was to install distutils. (It required su privileges.) su opkg install python-distutils After that installation, the previously erroring command ran fine. y Fetching packages ... scikit-learn member ogrisel commented Apr 28, 2015 +1 for using the setup_requires=['numpy'] and install_requires=['numpy', 'scipy'] in scikit-learn to have pip install scikit-learn work by default as long as the non-python system more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed this contact form

edit flag offensive delete link more add a comment 0 answered 2013-07-30 23:05:51 -0500 Eenvincible 1 I recently did a tutorial on how to download and install easy_install using ez_setup.py. We recommend upgrading to the latest Safari, Google Chrome, or Firefox. This would preserve the current behavior for most users, but would allow people using a standard virtualenv/pip toolchain to have a way to set up environments including scikit-learn without having to Which libraries and flags are needed exactly, this is > described in compilers manual. > > So, a recommended fix would be to build Python with icc and as a >

Install Distutils

Running the same line interactively, either identically as `from numpy.distutils.core import setup, Extension` or as `import numpy.distutils.core` fails in the same way. Collecting numpy (from -r requirements.txt (line 1)) Using cached numpy-1.9.1.tar.gz Running from numpy source directory. sudo apt-get install python-distutils should suffice.

Many thanks, Arnd Re: [Numpy-discussion] Need compilations with compilers other than gcc From: Arnd Baecker - 2006-02-08 17:23:09 On Tue, 7 Feb 2006, Arnd Baecker wrote: > On Tue, 7 How does a jet's throttle actually work? main(sys.argv[1:]) File "ez_setup.py", line 210, in main egg = download_setuptools(version, delay=0) File "ez_setup.py", line 139, in download_setuptools from distutils import log ImportError: No module named distutils So - how can I Distutils Pip Though I don't agree with @GaelVaroquaux that scikit-learn should tell you which scipy to use.

Subscribing... Pip Install Distutils command returns an error after a number of lines. share|improve this answer answered Oct 9 '11 at 10:13 Éric Araujo 5,04611228 add a comment| up vote -3 down vote You can try installing Python 2.6, sudo apt-get install python2.6 This Download in other formats: Comma-delimited Text Tab-delimited Text RSS Feed Contact – Privacy policy – Terms of Use SourceForge Browse Enterprise Blog Deals Help Create Log In or Join Solution Centers

Could you please tell me a step by step process to do this? No Module Named Numpy.distutils.core Xgboost Where's the 0xBEEF? Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 1,424 Star 14,267 Fork 8,122 scikit-learn/scikit-learn Code Issues 715 Pull requests 470 Projects On import I get another error import core -> failed: /home/baecker/python2/scipy_icc5_lintst_n_N3/lib/python2.4/site-packages/numpy/core/umath.so: undefined symbol: __libm_sincos import random -> failed: 'module' object has no attribute 'dtype' import lib -> failed: /home/baecker/python2/scipy_icc5_lintst_n_N3/lib/python2.4/site-packages/numpy/core/umath.so: undefined symbol:

  • Let's assume it's 2.4.
  • scikit-learn should not be installed using "pip install" or setuptools in general, but scikit-learn must be installable that way.
  • See also > >> http://www.scipy.org/Wiki/FAQ#head-8371c35ef08b877875217aaac5489fc747b4aceb > > > > I thought that supplying ``--libraries="irc"`` > > might cure the problem, but > > (quoting from > > http://aspn.activestate.com/ASPN/Mail/Message/scipy-dev/2983903 > > )
  • Must I do one pass to install numpy and everything else, and a second pass just to install sklearn? $ python setup.py install Partial import of sklearn during the build process.
  • Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox.
  • I looked in /usr/lib/local/python2.5, /usr/lib/python2.5 etc, and as expected there is no distutils to be found.
  • Scikit-learn requires numpy and if you install everything together, it should work fine.
  • History Date User Action Args 2009-02-0520:13:45stefansetstatus: new -> closedassignee: stefanresolution: invalid 2009-02-0507:50:50kompressorsetmessages: + msg3502 2009-02-0507:16:12kompressorcreate hosting by Upfront Systems Last modified: Tue Feb 3 22:02:04 EST 2009 First time here?
  • This was referenced Sep 9, 2015 Closed Automatic installation of dependencies does not work taborlab/FlowCal#142 Closed Not building from source projectmesa/mesa#174 aronwc added a commit to tapilab/pygrade that referenced this issue
  • I also had to specify the location of `libirc`, export CC=icc python setup.py build build_ext -L/opt/intel/cc_90/lib/ -lirc followed by python setup.py config --fcompiler=intel install worked.

Pip Install Distutils

Anybody out there with compilers they are willing to try out and/or report on? http://issues.roundup-tracker.org/issue2550494 A Riddle - Mountains and Valleys Do primary and secondary coil resistances correspond to number of winds? Install Distutils Btw - 2.4 are default on CentOS 6.4 too... 2.4 dosn't have build-in distutils? –setevoy May 13 '14 at 9:15 or maybe distutils has changed since 2.4 –usethedeathstar May Importerror: No Module Named Numpy.distutils.core Scipy Loading VirtualBox kernel modules...

Here it looks like one of the stupid OSes that split the standard library into arbitrary python and python-devel packages. –Éric Araujo Oct 9 '11 at 10:11 add a comment| up weblink Use --fcompiler=intel instead. > > OK - I have to confess that I am really confused about > which options might work and which not. > Is there a document which For this test I haven't used any blas/lapack. Please don't fill out this field. Importerror: No Module Named Numpy.distutils Opencv

There are pros and cons for doing it this way for numpy. Already have an account? It is currently running Python 2.7.3, but does not include distutils. navigate here current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list.

You seem to have CSS turned off. Numpy Distutils Not Found Please don't fill out this field. One more thing - you will need to add path to easy_install to your system path variable (will update the post in a bit).

Please refer to our Privacy Policy or Contact Us for more details You seem to have CSS turned off.

Allowed C compilers are unix,msvc,cygwin,mingw32,bcpp,mwerks,emx. Use --fcompiler=intel instead. share|improve this answer answered Sep 28 '10 at 7:56 Duncan 40.9k646100 2 Thanks for the reply, but it didn't work. Ioerror: [errno 2] No Such File Or Directory: 'python/makefile' Do you grep through log > files > for problems?

One should use any of these commands to specify a Fortran compiler and config_fc to change various Fortran compiler flags. How to enhance C compiler options, see standard Distutils documentation. >>> export F77=ifort >>> export CC=icc >>> export CXX=icc > > But these are still needed? Which lane to enter on this roundabout? (UK) Multiple password fields for one login How can a nine tailed fox catch its prey? http://vealcine.com/no-module/python-error-no-module-named.php share|improve this answer answered Sep 28 '10 at 7:33 sheki 3,26332853 I can't do a sudo.

We're using pre-built wheel packages to avoid compile/configuration times taking forever, and I'm running into this same issue. Half the pentagon!